OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepGeom

# StepGeom_CurveOnSurface Class Reference

`#include <StepGeom_CurveOnSurface.hxx>`

Inheritance diagram for StepGeom_CurveOnSurface:

[legend]

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepGeom_CurveOnSurface ()
| Returns a CurveOnSurface SelectType .
Standard_EXPORT Standard_Integer | CaseNum (const Handle(Standard_Transient)&ent) const
| Recognizes a CurveOnSurface Kind Entity that is : 1 -> Pcurve 2 -> SurfaceCurve 3 -> CompositeCurveOnSurface 0 else .
Standard_EXPORT Handle_StepGeom_Pcurve | Pcurve () const
| returns Value as a Pcurve (Null if another type)
Standard_EXPORT Handle_StepGeom_SurfaceCurve | SurfaceCurve () const
| returns Value as a SurfaceCurve (Null if another type)
Standard_EXPORT Handle_StepGeom_CompositeCurveOnSurface | CompositeCurveOnSurface () const
| returns Value as a CompositeCurveOnSurface (Null if another type)

## Constructor & Destructor Documentation

Standard_EXPORT StepGeom_CurveOnSurface::StepGeom_CurveOnSurface | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer StepGeom_CurveOnSurface::CaseNum | ( | const Handle(Standard_Transient)& | ent | ) | const`[virtual]`

| Implements StepData_SelectType.

Standard_EXPORT Handle_StepGeom_CompositeCurveOnSurface StepGeom_CurveOnSurface::CompositeCurveOnSurface | ( |  | ) | const

void StepGeom_CurveOnSurface::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepGeom_CurveOnSurface::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepGeom_CurveOnSurface::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepData_SelectType.

Standard_EXPORT Handle_StepGeom_Pcurve StepGeom_CurveOnSurface::Pcurve | ( |  | ) | const

Standard_EXPORT Handle_StepGeom_SurfaceCurve StepGeom_CurveOnSurface::SurfaceCurve | ( |  | ) | const

The documentation for this class was generated from the following file:

- StepGeom_CurveOnSurface.hxx